petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerASCIIPrintf

Prints to a file, only from the first processor in the PetscViewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPrintf(PetscViewer viewer,const char format[],...)

Not Collective, but only first processor in set has any effect Many br

### Input Parameters

| viewer | - obtained with PetscViewerASCIIOpen() Many br
| format | - the usual printf() format string Many br

Many br

### Fortran Note

The call sequence is PetscViewerASCIIPrintf(PetscViewer, character(*), int ierr) from Fortran. Many brThat is, you can only pass a single character string from Fortran. Many br

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIOpen(),
PetscViewerASCIIPushTab(), PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), Many brPetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer(), PetscViewerASCIIPushSynchronized() Many br

Level:developer
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/classes/viewer/examples/tutorials/ex1.c.html
src/sys/examples/tutorials/ex15.c.html
src/vec/is/sf/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex70.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex14.c.html